using testirovanie;

namespace TestProject1
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void CheckMark_IsTrue()
        {
            Assert.IsTrue(REG_MARK_LIB.CheckMark("99952"));
        }

        [TestMethod]
        public void CheckMark_IsFalse()
        {
            Assert.IsFalse(REG_MARK_LIB.CheckMark("88852"));
        }

        [TestMethod]
        public void CheckMark_AreEquals_True()
        {
            Assert.AreEqual(REG_MARK_LIB.CheckMark("04277"), true);
        }

        [TestMethod]
        public void CheckMark_AreEquals_False()
        {
            Assert.AreEqual(REG_MARK_LIB.CheckMark("48177"), false);
        }

        [TestMethod]
        public void GetNextMarkAfter_NextMark_TypeIsString()
        {
            Assert.IsInstanceOfType(REG_MARK_LIB.GetNextMarkAfter("42152"), typeof(string));
        }

        [TestMethod]
        public void GetNextMarkAfter_NextMark_IsNotNull()
        {
            Assert.IsNotNull(REG_MARK_LIB.GetNextMarkAfter("94152"));
        }

        [TestMethod]
        public void GetCombinationsCountInRange_Count_TypeIsInt()
        {
            Assert.IsInstanceOfType(REG_MARK_LIB.GetCombinationsCountInRange("00152", "00252"), typeof(int));
        }

        [TestMethod]
        public void GetCombinationsCountInRange_Count_AreEquals()
        {
            Assert.AreEqual(REG_MARK_LIB.GetCombinationsCountInRange("00152", "001"), 1000);
        }

        [TestMethod]
        public void GetNextMarkAfter_NextMark_AreEquals()
        {
            Assert.AreEqual(REG_MARK_LIB.GetNextMarkAfter("00152"), "00252");
        }

        [TestMethod]
        public void GetNextMarkAfter_NextMark_AreNotEqual()
        {
            Assert.AreNotEqual(REG_MARK_LIB.GetNextMarkAfter("00152"), "00352");
        }

        [TestMethod]
        public void HardMethod_GetNextMarkAfterInRange_NextMark_AreEqual()
        {
            Assert.AreEqual(REG_MARK_LIB.GetNextMarkAfterInRange("00352", "00152", "00552"), "00452");
        }
    }
}